︠9e899686-0226-48f0-a8d7-3764cacc179esi︠
%md This use of solve works fine with one variable:
︡99d01b12-aa7e-4011-8174-8ef49739aa40︡{"md":"This use of solve works fine with one variable:"}︡{"done":true}
︠8172925d-5c4e-4016-ba81-39079de8f091s︠
var('x')
print("x^2=1 only")
show(solve(x^2==1, x))
︡0507800a-b98e-4b49-bc82-5fe350a5a173︡{"stdout":"x\n"}︡{"stdout":"x^2=1 only\n"}︡{"html":"<div align='center'>[$\\displaystyle x = 1$]</div>"}︡{"done":true}
︠0f68f776-d213-4670-ba23-c67bbdc7872ei︠
%md
If you use assume and solve together with more than one variable, then the assumptions just get ignored.
︡66b31fc9-b2bc-46f7-8cee-8f3cedfc0414︡{"done":true,"md":"If you use assume and solve together with more than one variable, then the assumptions just get ignored."}
︠9212f5d1-b0dd-4084-b3a9-7477e2b36e2fs︠
var("x,y")
assume(x>0)
assume(y>0)
print("x^2=1 and y^2=1")
show(solve([x^2==1, y^2==1], x, y))
︡128c9892-b800-461a-9ced-025eaa073e95︡{"stdout":"(x, y)\n"}︡{"stdout":"x^2=1 and y^2=1\n"}︡{"html":"<div align='center'>[[$\\displaystyle x = 1$, $\\displaystyle y = 1$], [$\\displaystyle x = \\left(-1\\right)$, $\\displaystyle y = 1$], [$\\displaystyle x = 1$, $\\displaystyle y = \\left(-1\\right)$], [$\\displaystyle x = \\left(-1\\right)$, $\\displaystyle y = \\left(-1\\right)$]]</div>"}︡{"done":true}
︠ac91b67b-73a0-420a-a5b8-8fbd7b989629i︠
%md
Using algorithm='sympy' uses sympy to solve, but doesn't take into account assumptions, evidently (because we never implemented that):
︡236242f6-97e7-4904-a074-9ec1bb931d20︡{"done":true,"md":"Using algorithm='sympy' uses sympy to solve, but doesn't take into account assumptions, evidently (because we never implemented that):"}
︠81d89632-da32-4ab2-a4b9-803d8b73d031︠
show(solve([x^2==1,y^2==1], x, y, algorithm='sympy'))
︡a715205e-f906-456b-b4b0-ace0240af949︡{"html":"<div align='center'>[$\\displaystyle \\left\\{x : -1, y : -1\\right\\}$, $\\displaystyle \\left\\{x : -1, y : 1\\right\\}$, $\\displaystyle \\left\\{x : 1, y : -1\\right\\}$, $\\displaystyle \\left\\{x : 1, y : 1\\right\\}$]</div>"}︡{"done":true}
︠91c96301-04e7-4f2f-97a0-40e7ea84306dsi︠
%md Directly imposing constraints with sympy doesn't doesn't help (because probably the print name of var doesn't matter?):
︡cd072f02-5d1a-4745-b654-fba43533b5b1︡{"md":"Directly imposing constraints with sympy doesn't doesn't help (because probably the print name of var doesn't matter?):\n"}︡{"done":true}
︠9bc11646-cc48-464d-93df-2777681f954d︠
import sympy
sympy.Symbol('x', positive=True)
sympy.Symbol('y', positive=True)
show(solve([x^2==1,y^2==1], x, y, algorithm='sympy'))
︡4baf1bfe-4842-4d91-b0a3-097bab935c8b︡{"stdout":"x\n"}︡{"stdout":"y\n"}︡{"html":"<div align='center'>[$\\displaystyle \\left\\{x : -1, y : -1\\right\\}$, $\\displaystyle \\left\\{x : -1, y : 1\\right\\}$, $\\displaystyle \\left\\{x : 1, y : -1\\right\\}$, $\\displaystyle \\left\\{x : 1, y : 1\\right\\}$]</div>"}︡{"done":true}
︠1d5eb4f7-618c-4cb6-ba1c-4a089b35a8c1i︠
%md
You can use Sympy entirely for this and that works fine (note that it solves for setting each expression to 0):
︡6fed2685-6e10-4913-a9dc-6b607a8118b7︡{"done":true,"md":"You can use Sympy entirely for this and that works fine (note that it solves for setting each expression to 0):"}
︠901af78a-b7a6-47b9-bada-1d8f37bf35ae︠
import sympy
x = sympy.Symbol('x', positive=True)
y = sympy.Symbol('y', positive=True)
sympy.solve([x^2-1, y^2-1], x, y)
︡9add0cec-7e56-47be-a8c0-35f65ec7066b︡{"stdout":"[(1, 1)]\n"}︡{"done":true}
︠72cc746a-fb2c-4734-b336-ecf3e27550a4s︠

# Here is a more accurate translation of the question into sympy (via chatgpt, which
# clearly knows sympy better than I do!)  Not the use of "Eq"

from sympy import *

x, y = symbols('x y', positive=True)

eq1 = Eq(x**2, 1)
eq2 = Eq(y**2, 1)

sol = solve((eq1, eq2), (x, y))

print(sol)
︡6ceb87c9-771e-419b-94a0-5c65b1a862dc︡{"stdout":"[(1, 1)]\n"}︡{"done":true}
︠efb2747e-1f05-426a-ada8-c6b74ea9ba79︠









